ZIP_SOURCE_GET_ARGS(3) | Library Functions Manual | ZIP_SOURCE_GET_ARGS(3)

# NAME

`ZIP_SOURCE_GET_ARGS` —
validate and cast arguments to source callback

# LIBRARY

libzip (-lzip)

# SYNOPSIS

`#include <zip.h>`

type *
`ZIP_SOURCE_GET_ARGS`(type, void *data, zip_uint64_t len, zip_error_t *error);

# DESCRIPTION

The `ZIP_SOURCE_GET_ARGS`() macro casts data to a pointer to type.

# RETURN VALUES

On success, `ZIP_SOURCE_GET_ARGS`() returns data. In case of error, it returns `NULL` and sets error.

# ERRORS

`ZIP_SOURCE_GET_ARGS`() fails if:

[`ZIP_ER_INVAL`]
  len is less than the size of type

# SEE ALSO

libzip(3), zip_source_function(3)

# HISTORY

`ZIP_SOURCE_GET_ARGS`() was added in libzip 1.0.

# AUTHORS

Dieter Baron <dillo@nih.at> and Thomas Klausner <tk@giga.or.at>

December 18, 2017 | NetBSD 8.99.35